Skip to main content
GET
/
v1
/
users
Retrieve Users that belong to the current Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "discarded_at": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "phone": "<string>",
      "external_id": "<string>",
      "schedule_on": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "iam_roles": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      ],
      "stytch_member_id": "<string>",
      "stytch_member_status": "pending",
      "stytch_phone_id": "<string>",
      "stytch_user_id": "<string>",
      "stytch_user_status": "pending",
      "additional_equipment": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "equipment_type": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "system": true,
            "external_id": "<string>",
            "accounting_id": "<string>"
          },
          "external_id": "<string>",
          "equipment_id": "<string>",
          "license_number": "<string>",
          "zone": "<string>",
          "accounting_id": "<string>",
          "company_share": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "external_id": "<string>",
            "ticket_match_id": "<string>",
            "sender_company": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tread_id": "ABC123",
              "legal_name": "<string>",
              "company_type": "hauler"
            },
            "dispatchable": true,
            "schedule_on": true,
            "rate_override": true,
            "expires_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "time_zone": "America/New_York",
      "preferences": {
        "notifications": {
          "pending_job_reminder": [
            "push"
          ],
          "new_job_request": [
            "push"
          ],
          "start_job_reminder": [
            "push"
          ],
          "no_location_alert": [
            "push"
          ],
          "order_pending_request": [
            "push"
          ],
          "order_accepted": [
            "push"
          ],
          "order_rejected": [
            "push"
          ],
          "order_canceled": [
            "push"
          ],
          "job_canceled": [
            "push"
          ],
          "job_unassigned": [
            "push"
          ],
          "end_shift_reminder": [
            "push"
          ],
          "job_completed": [
            "push"
          ],
          "load_completed": [
            "push"
          ],
          "job_state_changed": [
            "push"
          ]
        }
      },
      "text_to_accept_enabled": true,
      "last_login_at": "<string>",
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "color": "<string>"
        }
      ],
      "equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[datagrid]
string

Search string for datagrid queries

filter[access]
enum<string>

User access filter

Available options:
execute_jobs,
manage_sites,
manage_materials,
manage_equipment,
manage_accounts,
manage_users
filter[iam_roles]
array

The IamRoles of the User. Allowed values: platform_admin, company_admin, dispatcher, biller, foreman, driver, it_admin, manager

filter[label_ids]
string<uuid>[]

Filter by Label IDs. Returns records that have ANY of the specified labels (OR logic).

Response

OK

data
User-Read · object[]
required